#104 proftool fails to build on my Talos II

Closed
opened 9 months ago by isengaara · 3 comments

I have tried building librecmc on my Talos II, but I got the following error:

HOSTCC tools/proftool In file included from /usr/include/powerpc64le-linux-gnu/asm/sigcontext.h:14,

             from /usr/include/powerpc64le-linux-gnu/bits/sigcontext.h:30,
             from /usr/include/signal.h:291,
             from /usr/include/powerpc64le-linux-gnu/sys/param.h:28,
             from tools/proftool.c:18:

/usr/include/powerpc64le-linux-gnu/asm/elf.h:160:9: error: unknown type name '__vector128' typedef __vector128 elf_vrreg_t;

     ^~~~~~~~~~~

make[5]: *** [scripts/Makefile.host:118: tools/proftool] Error 1 make[4]: *** [Makefile:1195: tools-only] Error 2

I have tried building librecmc on my Talos II, but I got the following error: HOSTCC tools/proftool In file included from /usr/include/powerpc64le-linux-gnu/asm/sigcontext.h:14, from /usr/include/powerpc64le-linux-gnu/bits/sigcontext.h:30, from /usr/include/signal.h:291, from /usr/include/powerpc64le-linux-gnu/sys/param.h:28, from tools/proftool.c:18: /usr/include/powerpc64le-linux-gnu/asm/elf.h:160:9: error: unknown type name '__vector128' typedef __vector128 elf_vrreg_t; ^~~~~~~~~~~ make[5]: *** [scripts/Makefile.host:118: tools/proftool] Error 1 make[4]: *** [Makefile:1195: tools-only] Error 2
isengaara commented 9 months ago
Poster

The same error exists on power8: https://dev.archive.openwrt.org/ticket/19040.html

The same error exists on power8: https://dev.archive.openwrt.org/ticket/19040.html
RISCI_ATOM commented 9 months ago
Collaborator

What distro are you using? Which version of libreCMC are you trying to build? I have been building libreCMC on the Blackbird for the last 6 mo. without any issues. I have built on Ubuntu 18.04, Fedora 31 and CentOS 8 (required some patching, not related to this issue).

What distro are you using? Which version of libreCMC are you trying to build? I have been building libreCMC on the Blackbird for the last 6 mo. without any issues. I have built on Ubuntu 18.04, Fedora 31 and CentOS 8 (required some patching, not related to this issue).
RISCI_ATOM commented 9 months ago
Collaborator

v1.4 does not build without a bunch of hacks. tools/mkimage, packages/libs/libjson-c,packages/network/services/odhcpd and a few others would need to be patched. Also, the gcc-7.4.0 toolchain was needed to get it to build, which could lead to other issues / bugs.

v1.5.x does build without any known issues and is the focus of development right now. I don't know if it would be worth the effort to fix this since not many people have access to Power 8 / 9 machines.

v1.4 does not build without a bunch of hacks. `tools/mkimage`, `packages/libs/libjson-c`,`packages/network/services/odhcpd` and a few others would need to be patched. Also, the gcc-7.4.0 toolchain was needed to get it to build, which could lead to other issues / bugs. v1.5.x does build without any known issues and is the focus of development right now. I don't know if it would be worth the effort to fix this since not many people have access to Power 8 / 9 machines.
Sign in to join this conversation.
Loading...
Cancel
Save
There is no content yet.